Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class HumanTaskNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.StateBasedNodeInstance
                  org.jbpm.workflow.instance.node.WorkItemNodeInstance
                      org.jbpm.workflow.instance.node.HumanTaskNodeInstance

All Implemented Interfaces:
  Serializable, ContextInstanceContainer, EventBasedNodeInstanceInterface, EventListener, NodeInstance

    public class HumanTaskNodeInstance

extends WorkItemNodeInstance

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Field Summary

Fields inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`PARAMETER_MATCHER`

Constructor Summary
`HumanTaskNodeInstance()`

Method Summary
`protected String` | `assignWorkItem(org.drools.core.process.instance.WorkItem workItem)`
`protected org.drools.core.process.instance.WorkItem` | `createWorkItem(WorkItemNode workItemNode)`
`HumanTaskNode` | `getHumanTaskNode()`
`void` | `triggerCompleted(org.drools.core.process.instance.WorkItem workItem)`

Methods inherited from class org.jbpm.workflow.instance.node.WorkItemNodeInstance
`addContextInstance, addEventListeners, cancel, getContextContainer, getContextInstance, getContextInstance, getContextInstances, getEventTypes, getNodeName, getSourceParameters, getWorkItem, getWorkItemId, getWorkItemNode, internalSetWorkItem, internalSetWorkItemId, internalTrigger, isInversionOfControl, removeContextInstance, removeEventListeners, signalEvent, workItemAborted, workItemCompleted`

Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`addTimerListener, checkProcessInstance, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getTimerInstances, internalSetTimerInstances, triggerCompleted, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`getExtendedNode, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getProcessInstance, getUniqueId, getVariable, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HumanTaskNodeInstance

    public HumanTaskNodeInstance()

Method Detail

### getHumanTaskNode

    public HumanTaskNode getHumanTaskNode()

### createWorkItem

    protected org.drools.core.process.instance.WorkItem createWorkItem(WorkItemNode workItemNode)

  Overrides:
    `createWorkItem` in class `WorkItemNodeInstance`

### assignWorkItem

    protected String assignWorkItem(org.drools.core.process.instance.WorkItem workItem)

### triggerCompleted

    public void triggerCompleted(org.drools.core.process.instance.WorkItem workItem)

  Overrides:
    `triggerCompleted` in class `WorkItemNodeInstance`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.